Package org.apache.commons.io.input

# Class QueueInputStream.Builder

java.lang.Object
org.apache.commons.io.build.AbstractSupplier<QueueInputStream,QueueInputStream.Builder>
org.apache.commons.io.build.AbstractOriginSupplier<QueueInputStream,QueueInputStream.Builder>
org.apache.commons.io.build.AbstractStreamBuilder<QueueInputStream,QueueInputStream.Builder>
org.apache.commons.io.input.QueueInputStream.Builder

All Implemented Interfaces:
  `IOSupplier<QueueInputStream>`

Enclosing class:
  `QueueInputStream`

public static class QueueInputStream.Builder extends AbstractStreamBuilder<QueueInputStream,QueueInputStream.Builder>
Builds a new `QueueInputStream`.

For example:

     QueueInputStream s = QueueInputStream.builder()
       .setBlockingQueue(new LinkedBlockingQueue<>())
       .setTimeout(Duration.ZERO)
       .get();

Since:
  2.12.0
See Also:
  - `get()`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`
  Constructs a new builder of `QueueInputStream`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `QueueInputStream`
  `get()`
  Builds a new `QueueInputStream`.
  `QueueInputStream.Builder`
  `setBlockingQueue(BlockingQueue<Integer> blockingQueue)`
  Sets backing queue for the stream.
  `QueueInputStream.Builder`
  `setTimeout(Duration timeout)`
  Sets the polling timeout.

  ### Methods inherited from class org.apache.commons.io.build.AbstractStreamBuilder

  `getBufferSize, getBufferSizeDefault, getCharSequence, getCharset, getCharsetDefault, getFile, getInputStream, getOpenOptions, getOutputStream, getPath, getRandomAccessFile, getReader, getWriter, setBufferSize, setBufferSize, setBufferSizeChecker, setBufferSizeDefault, setBufferSizeMax, setCharset, setCharset, setCharsetDefault, setOpenOptions`

  ### Methods inherited from class org.apache.commons.io.build.AbstractOriginSupplier

  `checkOrigin, getOrigin, hasOrigin, newByteArrayOrigin, newCharSequenceOrigin, newFileOrigin, newFileOrigin, newInputStreamOrigin, newOutputStreamOrigin, newPathOrigin, newPathOrigin, newRandomAccessFileOrigin, newRandomAccessFileOrigin, newReaderOrigin, newURIOrigin, newWriterOrigin, setByteArray, setCharSequence, setFile, setFile, setInputStream, setOrigin, setOutputStream, setPath, setPath, setRandomAccessFile, setRandomAccessFile, setReader, setURI, setWriter`

  ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

  `asThis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

  `asSupplier, getUnchecked`

- ## Constructor Details

  - ### Builder

    public Builder()
    Constructs a new builder of `QueueInputStream`.

- ## Method Details

  - ### get

    public QueueInputStream get()
    Builds a new `QueueInputStream`.

    This builder uses the following aspects:

    - `setBlockingQueue(BlockingQueue)`
    - timeout
    Returns:
      a new instance.
    See Also:
      - `IOSupplier.getUnchecked()`

  - ### setBlockingQueue

    public QueueInputStream.Builder setBlockingQueue(BlockingQueue<Integer> blockingQueue)
    Sets backing queue for the stream.
    Parameters:
      `blockingQueue` - backing queue for the stream, null resets to a new blocking queue instance.
    Returns:
      `this` instance.

  - ### setTimeout

    public QueueInputStream.Builder setTimeout(Duration timeout)
    Sets the polling timeout.
    Parameters:
      `timeout` - the polling timeout.
    Returns:
      `this` instance.